/*
 *-----------------------------------------------------------------------------
 *  FILE: adx.h
 *
 *      Copyright(c) 1999 SEGA System R&D Dept.
 *
 *  PURPOSE:
 *
 *      ADX Sample Header
 *
 *  DESCRIPTION:
 *
 *  AUTHOR(S):
 *
 *      1999/03/23  S.Uchida Ver.0.20
 *
 *  MOD HISTORY:
 *
 *-----------------------------------------------------------------------------
 */

#ifndef _ADX_H_
#define _ADX_H_


void adxInit(void);
void adxExit(void);
void adxMain(void);
void adxPlayMem(const void* waveptr);
void adxPlayFile(const char* fname, Sint32 loopflag);
void adxStopFile(void);
void adxStopMemAll(void);
void adxStopAll(void);

#endif /* _ADX_H_ */

